Remove-Item -Force ../../Wing -recurse
### server
nuget restore "../../WingCloudServer/src/WingCloudServer.csproj" -source "http://nuget.ius.plus:88/v3/index.json;https://nuget.cdn.azure.cn/v3/index.json"
dotnet publish "../../WingCloudServer/src/WingCloudServer.csproj" -c Release -o ../../Wing/server

IF (-not(Test-Path ../../Wing/server/Dependencies/)) { New-Item -Path ../../Wing/server/ -Name Dependencies -Type Directory -force }
IF (-not(Test-Path ../../Wing/server/NetService/)) { New-Item -Path ../../Wing/server/ -Name NetService -Type Directory -force }
IF (-not(Test-Path ../../Wing/server/InternalService/)) { New-Item -Path ../../Wing/server/ -Name InternalService -Type Directory -force }

### inprocess modules

nuget restore "../../WingMongoDBModule/src/WingMongoDBModule.csproj" -source "http://nuget.ius.plus:88/v3/index.json;https://nuget.cdn.azure.cn/v3/index.json"
dotnet publish "../../WingMongoDBModule/src/WingMongoDBModule.csproj" -c Release
Copy-Item -recurse -Force ../../WingMongoDBModule/src/bin/Release/net6.0/publish/WingMongoDBModule.dll -Destination ../../Wing/server/InternalService/WingMongoDBModule.dll
Copy-Item -recurse -Force ../../WingMongoDBModule/src/bin/Release/net6.0/publish/*.dll -Destination ../../Wing/server/Dependencies/ -Exclude WingMongoDBModule.dll

nuget restore "../../WingSMSModule/src/WingSMSModule.csproj" -source "http://nuget.ius.plus:88/v3/index.json;https://nuget.cdn.azure.cn/v3/index.json"
dotnet publish "../../WingSMSModule/src/WingSMSModule.csproj" -c Release
Copy-Item -recurse -Force ../../WingSMSModule/src/bin/Release/net6.0/publish/WingSMSModule.dll -Destination ../../Wing/server/InternalService/WingSMSModule.dll
Copy-Item -recurse -Force ../../WingSMSModule/src/bin/Release/net6.0/publish/*.dll -Destination ../../Wing/server/Dependencies/ -Exclude WingSMSModule.dll

nuget restore "../../WingSessionModule/src/WingSessionModule.csproj" -source "http://nuget.ius.plus:88/v3/index.json;https://nuget.cdn.azure.cn/v3/index.json"
dotnet publish "../../WingSessionModule/src/WingSessionModule.csproj" -c Release
Copy-Item -recurse -Force ../../WingSessionModule/src/bin/Release/net6.0/publish/WingSessionModule.dll -Destination ../../Wing/server/InternalService/WingSessionModule.dll
Copy-Item -recurse -Force ../../WingSessionModule/src/bin/Release/net6.0/publish/*.dll -Destination ../../Wing/server/Dependencies/ -Exclude WingSessionModule.dll

nuget restore "../../WingEmailModule/src/WingEmailModule.csproj" -source "http://nuget.ius.plus:88/v3/index.json;https://nuget.cdn.azure.cn/v3/index.json"
dotnet publish "../../WingEmailModule/src/WingEmailModule.csproj" -c Release
Copy-Item -recurse -Force ../../WingEmailModule/src/bin/Release/net6.0/publish/WingEmailModule.dll -Destination ../../Wing/server/InternalService/WingEmailModule.dll
Copy-Item -recurse -Force ../../WingEmailModule/src/bin/Release/net6.0/publish/*.dll -Destination ../../Wing/server/Dependencies/ -Exclude WingEmailModule.dll

IF (-not(Test-Path ../../wing/server/EmailTemplate/)) { New-Item -Path ../../Wing/server/ -Name EmailTemplate -Type Directory -force }
Copy-Item ../../WingEmailModule/src/bin/Release/net6.0/EmailTemplate/* -Destination ../../Wing/server/EmailTemplate

### netservice modules
nuget restore "../../WingUserModule/src/WingUserModule.csproj" -source "http://nuget.ius.plus:88/v3/index.json;https://nuget.cdn.azure.cn/v3/index.json"
dotnet publish "../../WingUserModule/src/WingUserModule.csproj" -c Release
Copy-Item -recurse -Force ../../WingUserModule/src/bin/Release/net6.0/publish/WingUserModule.dll -Destination ../../Wing/server/NetService/WingUserModule.dll
Copy-Item -recurse -Force ../../WingUserModule/src/bin/Release/net6.0/publish/*.dll -Destination ../../Wing/server/Dependencies/ -Exclude WingUserModule.dll

IF (-not(Test-Path ../../wing/server/RegionData/)) { New-Item -Path ../../Wing/server/ -Name RegionData -Type Directory -force }
Copy-Item ../../WingUserModule/src/bin/Release/net6.0/Region/* -Destination ../../Wing/server/RegionData


nuget restore "../../WingManagementModule/src/WingManagementModule.csproj" -source "http://nuget.ius.plus:88/v3/index.json;https://nuget.cdn.azure.cn/v3/index.json"
dotnet publish "../../WingManagementModule/src/WingManagementModule.csproj" -c Release
Copy-Item -recurse -Force ../../WingManagementModule/src/bin/Release/net6.0/publish/WingManagementModule.dll -Destination ../../Wing/server/NetService/WingManagementModule.dll
Copy-Item -recurse -Force ../../WingManagementModule/src/bin/Release/net6.0/publish/*.dll -Destination ../../Wing/server/Dependencies/ -Exclude WingManagementModule.dll

nuget restore "../../WingStorageModule/src/WingStorageModule.csproj" -source "http://nuget.ius.plus:88/v3/index.json;https://nuget.cdn.azure.cn/v3/index.json"
dotnet publish "../../WingStorageModule/src/WingStorageModule.csproj" -c Release
Copy-Item -recurse -Force ../../WingStorageModule/src/bin/Release/net6.0/publish/WingStorageModule.dll -Destination ../../Wing/server/NetService/WingStorageModule.dll
Copy-Item -recurse -Force ../../WingStorageModule/src/bin/Release/net6.0/publish/*.dll -Destination ../../Wing/server/Dependencies/ -Exclude WingStorageModule.dll

# nuget restore "../../WingAuthenticationModule/WingAuthenticationModule.csproj" -source "http://nuget.ius.plus:88/v3/index.json;https://nuget.cdn.azure.cn/v3/index.json"
# dotnet publish "../../WingAuthenticationModule/WingAuthenticationModule.csproj" -c Release
# Copy-Item -recurse -Force ../../WingAuthenticationModule/bin/Release/net6.0/publish/WingAuthenticationModule.dll -Destination ../../Wing/server/NetService/WingAuthenticationModule.dll
# Copy-Item -recurse -Force ../../WingAuthenticationModule/bin/Release/net6.0/publish/*.dll -Destination ../../Wing/server/Dependencies/ -Exclude WingAuthenticationModule.dll

### tools
IF (-not(Test-Path ../../Wing/server/Tools/)) { New-Item -Path ../../Wing/server/ -Name Tools -Type Directory -force }
Copy-Item -recurse -Force ../../WingServerTools/src/* -Destination ../../Wing/server/Tools