using System;

namespace WingCloudServer.State
{
    public class BaseServiceRunState<T>
    {
        public T CurrentState { get; set; }
        public virtual StateResult ExecuteSwitch(T state) 
        {
            if (!state.Equals(CurrentState))
            {
                CurrentState = state;
                return new StateResult { IsSuccess = true };
            }
            else
            {
                return new StateResult { IsSuccess = false, Message = "It's in the current state" };
            }
        }
    }
}