using System.Threading.Tasks;
using WingRpcSDK.JsonRpc.Driver;

namespace WingCloudServer.State
{
    public class StateService : BaseRpcService, IStateService
    {
        private BaseServiceRunStateManager _baseServiceRunStateManager = new();

        public async Task<bool> SetServiceState(ServiceEnum serviceEnum, ServiceStateEnum serviceStateEnum)
        {
            _baseServiceRunStateManager.SetServiceState(serviceEnum, serviceStateEnum);
            return await Task.FromResult(true);
        }

        public async Task<ServiceStateEnum> GetServiceState(ServiceEnum serviceEnum)
        {
            var state = _baseServiceRunStateManager.GetServiceState(serviceEnum);
            return await Task.FromResult(state.CurrentState);
        }
    }
}